/*
 * CString.h
 *
 * $Id: CString.h,v 1.3 1997/11/11 05:23:24 mac Exp $
 *
 * $Log: CString.h,v $
 * Revision 1.3  1997/11/11 05:23:24  mac
 * chronic check-in
 *
 * Revision 1.2  1997/11/09 00:11:11  mac
 * chronic check-in
 *
 * Revision 1.1  1997/10/30 05:38:56  maciek
 * Initial revision
 *
 * Revision 1.3  1997/08/07 17:23:50  maciek
 * put in RCS header info in files
 *
 *
 */

#ifndef __CSTRING_H__
#define __CSTRING_H__

#include <string.h>
#include "types.h"


class CString {
public:
  CString() 				{ szBuf = NULL; }
  CString( const char* sz );		
  ~CString()				{ reset(); }

  operator char*() const		{ return szBuf; }
  ushort length()			{ return strlen( szBuf ); }

  void reset()			{ delete szBuf; szBuf = NULL; }
  char* strdup( const char* sz );
  char* strcat( const char* sz );

private:
  char* szBuf;
};
	
#endif // __CSTRING_H__
