/*
 * $Id: CTileMgr.cc,v 1.2 1998/11/12 01:55:13 mac Exp $
 */

#include "CTileMgr.h"

CTile*
CTileMgr::get_tile( char* szFname ) {

  if( !szFname )
    return NULL;

  // first check whether it is already loaded
  list<CTile>::iterator it = lst.begin();
  while( it != lst.end() ) {
    if( !strcmp( (*it).name(), szFname ) )
      return &(*it);
    ++it;
  }

  CTile& tile = push_back_blank( lst );
  if( !tile.load( szFname ) )
    return NULL;

  return &tile;
}


