#include <iostream.h>
#include <stdio.h>

#include "pcx.h"

main( int argc, char* argv[] ) {

  if( argc<2 ) {
    cerr << "Need to pass in a filename of a PCX" << endl;
    exit(-1);
  }

  CPal pal;
  if( !loadPCXpalette( argv[1], pal ) ) {
    cerr << "Unable to get the palette off the PCX" << endl;
    exit(-2);
  }

  for( int i=0; i<256; i++ ) {
    CRGB rgb = pal.color(i);
    printf( "#%02x%02x%02x\n", (int)rgb.byRed<<2, 
			(int)rgb.byGreen<<2, (int)rgb.byBlue<<2 );
  }
}



	
