/*
 * CCell.h
 *
 * $Id: CCell.h,v 1.5 1997/08/07 17:23:50 maciek Exp $
 *
 * $Log: CCell.h,v $
 * Revision 1.5  1997/08/07 17:23:50  maciek
 * put in RCS header info in files
 *
 *
 */

#ifndef __CCELL_H__
#define __CCELL_H__

#include <list.h>

#include "CTile.h"
#include "CObject.h"

class CCell {
public:

	CCell( short alt, CTile* pl, CTile* pr, CTile* pb, CTile* pfl, 
			CTile* pfr, CTile* pt ):
				nAlt(alt), pLeftTile(pl), pRightTile(pr), pFloorTile(pb),
				pFLeftTile(pfl), pFRightTile(pfr), pTopTile(pt) {}

	void AddObj( CObject* pobj );

	short alt()				{ return nAlt; }
	short alt( short s )	{ return nAlt = s; }

	CTile* leftTile()	{ return pLeftTile; }
	CTile* rightTile()	{ return pRightTile; }
	CTile* bottomTile()	{ return pFloorTile; }
	CTile* fleftTile()	{ return pFLeftTile; }
	CTile* frightTile() { return pFRightTile; }
	CTile* topTile()	{ return pTopTile; }

private:
	
	short nAlt;

	CTile* pLeftTile;
	CTile* pRightTile;
	CTile* pFloorTile;

	CTile* pFLeftTile;
	CTile* pFRightTile;
	CTile* pTopTile;

	dlist<CObject> lstObjs;
};


#endif // __CCELL_H__
