/*
 *
 * $Id: CPal.h,v 1.3 1997/08/20 18:25:54 maciek Exp maciek $
 *
 * $Log: CPal.h,v $
 * Revision 1.3  1997/08/20 18:25:54  maciek
 * CFont basic work finished
 *
 * Revision 1.2  1997/08/07 17:23:50  maciek
 * put in RCS header info in files
 *
 *
 */

#ifndef __CPAL_H__
#define __CPAL_H__

#include "types.h"

class CRGB {
public:
    CRGB(): byRed(0), byGreen(0), byBlue(0) {}
    CRGB( uchar R, uchar G, uchar B ): byRed(R), byGreen(G), byBlue(B) {}

public:
    uchar byRed;
    uchar byGreen;
    uchar byBlue;
};

class CPal {
public:
    void black()		{ setCol( CRGB(0,0,0) ); }
    void white()		{ setCol( CRGB(255,255,255) ); }
    void setCol( const CRGB& );
    void morph( const CPal&, const CPal&, double rPctLeft = 0.5 );
    bool install();

	CRGB* buf()			{ return rgb; }

private:
    CRGB rgb[256];
};




#endif // __CPAL_H__
