/*
 *
 * $Id: CViewVol.cc,v 1.3 1997/08/07 17:23:50 maciek Exp $
 *
 * $Log: CViewVol.cc,v $
 * Revision 1.3  1997/08/07 17:23:50  maciek
 * put in RCS header info in files
 *
 */

#include "CViewVol.h"

#define TILE_HEIGHT	50

bool
CViewVolume::paint( CScrnBuf& sb ) {

	if( !pwrl )
		return false;

	// screen points!!!!!
	Vector2<short> pntStartRow( sb.width()/2, TILE_HEIGHT + 10 );
	Vector2<short> pnt;

	for( ushort y=pntStart.y; y<pntStart.y+wWidth; y++ ) {
		pnt = pntStartRow;
		pntStartRow.x += 16;
		pntStartRow.y += 8;

		for( ushort x=pntStart.x; x<pntStart.x+wDepth; x++ ) {
			// do the column at 'pnt'
			CColumn* pcol = pwrl->cols() + y*pwrl->width() + x;

			// for now, only do the first cube in each col /////////////////
			dlist_iter<CCell> it( pcol->lstCells );
			while( it++ ) {
				CCell* pcel = it();
				sb.PaintTile( pcel->leftTile(), pnt.x, pnt.y - pcel->alt() );
				sb.PaintTile( pcel->rightTile(), pnt.x, pnt.y - pcel->alt() );
				sb.PaintTile( pcel->bottomTile(), pnt.x, pnt.y - pcel->alt() );
				sb.PaintTile( pcel->fleftTile(), pnt.x, pnt.y - pcel->alt() );
				sb.PaintTile( pcel->frightTile(), pnt.x, pnt.y - pcel->alt() );
				sb.PaintTile( pcel->topTile(), pnt.x, pnt.y - pcel->alt() );
			}

			pnt.x -= 16;
			pnt.y += 8;
		}
	}

	return true;
}



