/*
 * main.cc
 *
 * main program
 *
 * $Id: main.cc,v 1.6 1997/08/07 17:23:50 maciek Exp $
 *
 * $Log: main.cc,v $
 * Revision 1.6  1997/08/07 17:23:50  maciek
 * put in RCS header info in files
 *
 *
 */

#include <iostream.h>

#include "main.h"

#include "CPal.h"
#include "CScrnBuf.h"
#include "CWorld.h"
#include "gfx.h"
#include <pcx.h>

#include <vga.h>			// gfx_getch()
#include <vgagl.h>

/////////////////////////////////
// globals
//

dlist<CPic> lstPics;
dlist<CTile> lstTiles;

/////////////////////////////////
// constants
const width=320;
const height=240;

//////////////////////////////////
// code
//


main() {

	gfx_droproot();

	/*
	CColumn* paCols = new CColumn[ 100*100 ];

	CWorld wrl;

	wrl.textLoadCommented( "data/world1.dat" );

	cout << "Done loading..." << endl;
	*/

	gfx_on();

	char* szFname = "test.pcx";

	CScrnBuf sb( width, height );
	CPal pal;

	loadPCXpalette( szFname, pal );
	loadPCXdata( szFname, sb.cbuf(), width, height );

	*(pal.buf()) = CRGB(0,0,0);

	pal.install();
	sb.BlitToScrn();

	gfx_getch();

	sb.colRect( Rect<ushort>(100,100,200,200) );

	sb.BlitToScrn();

	gfx_getch();

	CPic pic;
	if( pic.load( "data/pics/pic02.pic" ) )
		sb.PaintPic( &pic, 150, 150, 0 );
	if( pic.load( "data/pics/pic07.pic" ) )
		sb.PaintPic( &pic, 150, 150, 0 );
	if( pic.load( "data/pics/pic13.pic" ) )
		sb.PaintPic( &pic, 150, 150, 0 );

	sb.BlitToScrn();

	gfx_setcolor(12);
	gfx_pixel( 150, 150 );

	gfx_getch();

	gfx_off();
}

