/*
 * $Id: CColumn.cc,v 1.2 1998/11/12 01:55:13 mac Exp $
 */

#include "CColumn.h"

CCell*
CColumn::find_or_make_cell( short z ) {
  list<CCell*>::iterator it = lstCells.begin();

  while( it != lstCells.end() ) {
    if( (*it)->z() == z )
      return *it;
    ++it;
  }

  // nope, does not exist yet, allocate it
  CCell* pcel = new CCell;
  if( !pcel )
    return NULL;

  pcel->z( z );
  lstCells.push_back( pcel );

  return pcel;
}
  
