/*
 * a superclass from CScrnBuf that is specifically designed to grab
 * pics from a CScrnBuf
 *
 * $Id: CGrabBuf.h,v 1.2 1998/11/24 06:20:35 mac Exp mac $
 */

#ifndef __CGRABBUF_H__
#define __CGRABBUF_H__

#include "CScrnBuf.h"
#include "types.h"

#include "geometry.h"

class CGrabBuf: public CScrnBuf {

 public:
  CGrabBuf( ushort w, ushort h ): CScrnBuf(w,h)		{}

  bool findPic( uvec_t pnt, urect_t& rct );
  short scanX( uvec_t pnt, ushort width );
  short scanY( uvec_t pnt, ushort height );
  void collapseRect( urect_t& rct );
  char* extractRect( const urect_t&  );
};


#endif // __CGRABBUF_H__
