/*
 * CObject.h
 *
 * $Id: CObject.h,v 1.4 1998/11/12 01:55:13 mac Exp $
 */

#ifndef __COBJECT_H__
#define __COBJECT_H__

#include "types.h"

////////////////////
// forward refs
class CCell;
class CTile;

////////////////////
// CObject

class CObject {
  uchar cellX;
  uchar cellY;
  uchar cellZ;
  
  CCell* pcelClosest;	// closest cell to player's eye, occupied by object
  CTile* ptl;
  
public:
  CObject(): cellX(0), cellY(0), cellZ(0) {}
  ~CObject() {}

  uchar cell_x() { return cellX; }
  uchar cell_y() { return cellY; }
  uchar cell_z() { return cellZ; }
  uchar cell_x( uchar b ) { return cellX = b; }
  uchar cell_y( uchar b ) { return cellY = b; }
  uchar cell_z( uchar b ) { return cellZ = b; }

  CTile* tile() { return ptl; }
  CTile* tile( CTile* p ) { return ptl = p; }
};

#endif // __COBJECT_H__
