/*
 * CString.cc
 *
 * $Id: CString.cc,v 1.2 1997/11/11 05:23:24 mac Exp $
 *
 * $Log: CString.cc,v $
 * Revision 1.2  1997/11/11 05:23:24  mac
 * chronic check-in
 *
 * Revision 1.1  1997/10/30 05:38:56  maciek
 * Initial revision
 *
 * Revision 1.4  1997/08/07 17:23:50  maciek
 * put in RCS header info in files
 *
 *
 */


#include "CString.h"

CString::CString( const char* sz ): szBuf(NULL) {
  CString::strdup( sz );
}

char*
CString::strdup( const char* sz ) {
  reset();		// dump any old data

  if( !sz )
    return NULL;

  szBuf = new char[ strlen( sz ) + 1 ];
  if( szBuf )
    ::strcpy( szBuf, sz );

  return szBuf;
}

char*
CString::strcat( const char* sz ) {
  char* szOld = szBuf;
  szBuf = new char[ strlen(szOld) + strlen(sz) + 1 ];
  if( szBuf ) {
    ::strcpy( szBuf, szOld );
    ::strcat( szBuf, sz );
  }

  delete szOld;
  return szBuf;
}



