/*
 *
 * $Id: CTile.h,v 1.5 1997/11/11 05:23:24 mac Exp $
 *
 * $Log: CTile.h,v $
 * Revision 1.5  1997/11/11 05:23:24  mac
 * chronic check-in
 *
 * Revision 1.4  1997/11/09 00:11:11  mac
 * chronic check-in
 *
 * Revision 1.3  1997/10/30 07:00:09  maciek
 * chronic check-in
 *
 * Revision 1.2  1997/10/30 06:00:31  maciek
 * chronic
 *
 * Revision 1.1  1997/10/30 05:38:56  maciek
 * Initial revision
 *
 *
 *
 */

#ifndef __CTILE_H__
#define __CTILE_H__


#include "CPal.h"
#include "CString.h"

#include "types.h"

extern CPal gPal;

////////////////////
// CTile

class CTile {
public:

  bool load( const char* szFname );

  const CString& name() { return strName; }

  char* img() { return pbyImg; }
  ushort img_width() { return w; }
  ushort img_height() { return h; }
  ushort img_hsx() { return hsx; }
  ushort img_hsy() { return hsy; }

  uchar img_dx() { return dx; }
  uchar img_dy() { return dy; }
  uchar img_dz() { return dz; }
  
private:

  char* pbyImg;
  ushort w;
  ushort h;
  ushort hsx;
  ushort hsy;
  
  uchar dx;
  uchar dy;
  uchar dz;

  CString strName;
};


bool saveTile( char* buf, ushort w, ushort h, ushort hsx, ushort hsy,
	       uchar dx, uchar dy, uchar dz, CPal* ppal, char* szFname );

const uchar bySecID_image=0;
const uchar bySecID_dims=1;
const uchar bySecID_pal=2;

#endif // __CTILE_H__

