/*
 * $Id: CViewVol.h,v 1.9 1998/11/24 06:20:35 mac Exp mac $
 */

#ifndef __CVIEWVOL_H__
#define __CVIEWVOL_H__

#include "CScrnBuf.h"
#include "CWorld.h"

#include "geometry.h"

class CViewVolume {
  const CWorld* pwrl;
  urect_t	viewport;

  // x,y (in world_cell_CS) of cell of altitude 0 in lower left corner
  ivec_t llCell;
  
public:
  CViewVolume( const CWorld* p ): pwrl(p), llCell(-6,+4,0) 
    {}

  // modifiers
  bool paint( CScrnBuf& sb );
  void set_viewport( const urect_t& ur ) { viewport = ur; }

  // inspectors
  ivec_t scr_from_WCCS( const ivec_t& WCpnt, const ivec_t& Cpnt ) const;
};

#endif // __CVIEWVOL_H__

