/*
 * CObject.h
 *
 * $Id: CObject.h,v 1.2 1997/08/07 17:23:50 maciek Exp $
 *
 * $Log: CObject.h,v $
 * Revision 1.2  1997/08/07 17:23:50  maciek
 * put in RCS header info in files
 *
 *
 */

#ifndef __COBJECT_H__
#define __COBJECT_H__

////////////////////
// forward refs
class CCell;
class CTile;

////////////////////
// CObject

class CObject {
public:

	CObject() {}
	~CObject() {}

private:

	uchar x, y;				// coords of object within the cell
							// the world coords of cell are inside the
							// pcelClosest
	CCell* pcelClosest;		// closest cell to player's eye, occupied by object
	CTile* ptl;
};

#endif // __COBJECT_H__
