/*
 *
 *
 * $Id: CPic.cc,v 1.4 1997/08/07 17:23:50 maciek Exp $
 *
 * $Log: CPic.cc,v $
 * Revision 1.4  1997/08/07 17:23:50  maciek
 * put in RCS header info in files
 *
 *
 *
 */

#include <stdio.h>

#include "CPic.h"


bool 
CPic::useImage( ushort w, ushort h, char* pch ) {

	if( !w || !h || !pch )
		return false;

	delete buf;
	buf = new char[ w*h ];
	if( !buf )
		return false;

	memcpy( buf, pch, w*h );
	wWidth = w;
	wHeight = h;

	return true;
}

/*
 * loads the pic from the data file specified
 */

bool
CPic::load( char* szFilename ) {

	FILE* fl = fopen( szFilename, "rb" );
	if( !fl )
		return false;

	// process the file
	fread( &nMarkerDX, sizeof(nMarkerDX), 1, fl );
	fread( &nMarkerDY, sizeof(nMarkerDY), 1, fl );
	fread( &wWidth, sizeof(wWidth), 1, fl );
	fread( &wHeight, sizeof(wHeight), 1, fl );

	// make a buffer to hold the pic
	buf = new char[ wWidth*wHeight ];
	if( !buf )
		return false;

	// now read in the image data
	fread( buf, wWidth*wHeight, 1, fl );
	
	fclose( fl );
	return true;
}


bool
CPic::save( char* szFilename ) {

	FILE* fl = fopen( szFilename, "wb" );
	if( !fl )
		return false;

	// process the file
	fwrite( &nMarkerDX, sizeof(nMarkerDX), 1, fl );
	fwrite( &nMarkerDY, sizeof(nMarkerDY), 1, fl );
	fwrite( &wWidth, sizeof(wWidth), 1, fl );
	fwrite( &wHeight, sizeof(wHeight), 1, fl );
	fwrite( buf, wWidth*wHeight, 1, fl );

	fclose( fl );
	return true;
}

