/*
 * CPic.h
 *
 *
 * $Id: CPic.h,v 1.4 1997/08/07 17:23:50 maciek Exp $
 *
 * $Log: CPic.h,v $
 * Revision 1.4  1997/08/07 17:23:50  maciek
 * put in RCS header info in files
 *
 *
 */

#ifndef __CPIC_H__
#define __CPIC_H__


#include <stdio.h>		// definition of NULL

#include "types.h"

////////////////////
// CPic

class CPic {
public:
	CPic(): buf(NULL), wWidth(0), wHeight(0), nMarkerDX(0), nMarkerDY(0) {}
	~CPic()	{ delete buf; buf = NULL; }

	bool load( char* szFilename );
	bool save( char* szFilename );

	char* data() const		{ return buf; }
	ushort width() const	{ return wWidth; }
	ushort height() const	{ return wHeight; }

	bool useImage( ushort w, ushort h, char* pch );

	short dx() const		{ return nMarkerDX; }
	short dy() const		{ return nMarkerDY; }
	short dx( short n )		{ return nMarkerDX = n; }
	short dy( short n )		{ return nMarkerDY = n; }

private:

	char* buf;

	ushort wWidth;
	ushort wHeight;

	short nMarkerDX;
	short nMarkerDY;
};

#endif // __CPIC_H__
