/*
 * CString.cc
 *
 * $Id: CString.cc,v 1.4 1997/08/07 17:23:50 maciek Exp $
 *
 * $Log: CString.cc,v $
 * Revision 1.4  1997/08/07 17:23:50  maciek
 * put in RCS header info in files
 *
 *
 */


#include "CString.h"

CString::CString( const char* sz ): szBuf(NULL) {
	CString::strdup( sz );
}

char*
CString::strdup( const char* sz ) {
	reset();		// dump any old data

	if( !sz )
		return NULL;

	szBuf = new char[ strlen( sz ) + 1 ];
	if( szBuf )
		strcpy( szBuf, sz );

	return szBuf;
}

char*
CString::strcat( const char* sz ) {
	char* szOld = szBuf;
	szBuf = new char[ strlen(szOld) + strlen(sz) + 1 ];
	if( szBuf ) {
		::strcpy( szBuf, szOld );
		::strcat( szBuf, sz );
	}

	delete szOld;
	return szBuf;
}



